import { DocumentNode, GraphQLSchema, SourceLocation } from 'graphql';
import { CustomValidationRule } from 'graphql-language-service-types';
import { Range } from 'graphql-language-service-utils';
import { DiagnosticSeverity, Diagnostic } from 'vscode-languageserver-types';
export declare const SEVERITY: {
    ERROR: DiagnosticSeverity;
    WARNING: DiagnosticSeverity;
    INFORMATION: DiagnosticSeverity;
    HINT: DiagnosticSeverity;
};
export declare function getDiagnostics(query: string, schema?: GraphQLSchema | null | undefined, customRules?: Array<CustomValidationRule>, isRelayCompatMode?: boolean): Array<Diagnostic>;
export declare function validateQuery(ast: DocumentNode, schema?: GraphQLSchema | null | undefined, customRules?: Array<CustomValidationRule>, isRelayCompatMode?: boolean): Array<Diagnostic>;
export declare function getRange(location: SourceLocation, queryText: string): Range;
//# sourceMappingURL=getDiagnostics.d.ts.map